## sqlgrey 1.6.8

=== Makefile ===
INSTALL = install
ETCDIR = $(ROOTDIR)/etc
CONFDIR = $(ETCDIR)/sqlgrey
SBINDIR = $(ROOTDIR)/usr/sbin
BINDIR = $(ROOTDIR)/usr/bin
INITDIR = $(ETCDIR)/init.d
MANDIR = $(ROOTDIR)/usr/share/man/man1

VERSION := $(shell cat VERSION)
TBZ2 = sqlgrey-$(VERSION).tar.bz2

all: manpage update-version

update-version:
	cat sqlgrey | sed 's/^my $$VERSION = .*;/my $$VERSION = "$(VERSION)";/' > sqlgrey.new
	mv sqlgrey.new sqlgrey
	chmod a+x sqlgrey
	cat sqlgrey.spec | sed 's/^%define ver  .*/%define ver  $(VERSION)/' > sqlgrey.spec.new
	mv sqlgrey.spec.new sqlgrey.spec
	cat sqlgrey-logstats.pl | sed 's/^my $$VERSION = .*;/my $$VERSION = "$(VERSION)";/' > sqlgrey-logstats.pl.new
	mv sqlgrey-logstats.pl.new sqlgrey-logstats.pl
	chmod a+x sqlgrey-logstats.pl

manpage:
	perldoc -u sqlgrey | pod2man -n sqlgrey > sqlgrey.1

clean:
	rm -f sqlgrey.1
	rm -f *~ init/*~ etc/*~

install: all
	$(INSTALL) -d -m 755 $(SBINDIR)
	$(INSTALL) -d -m 755 $(ETCDIR)
	$(INSTALL) -d -m 755 $(CONFDIR)
	$(INSTALL) -d -m 755 $(INITDIR)
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -d -m 755 $(BINDIR)
	$(INSTALL) -m 755 sqlgrey $(SBINDIR)
	$(INSTALL) -m 755 update_sqlgrey_config $(SBINDIR)
	$(INSTALL) -m 755 sqlgrey-logstats.pl $(BINDIR)
	$(INSTALL) -m 644 etc/sqlgrey.conf $(CONFDIR)
	$(INSTALL) -m 644 etc/clients_ip_whitelist $(CONFDIR)
	$(INSTALL) -m 644 etc/clients_fqdn_whitelist $(CONFDIR)
	$(INSTALL) -m 644 etc/dyn_fqdn.regexp $(CONFDIR)
	$(INSTALL) -m 644 etc/smtp_server.regexp $(CONFDIR)
	$(INSTALL) -m 644 etc/README $(CONFDIR)
	$(INSTALL) -m 644 sqlgrey.1 $(MANDIR)

rh-install: install
	$(INSTALL) init/sqlgrey $(INITDIR)

gentoo-install: install
	$(INSTALL) init/sqlgrey.gentoo $(INITDIR)/sqlgrey

tbz2: update-version clean
	cd ..;ln -s sqlgrey sqlgrey-$(VERSION);tar cjhf $(TBZ2) sqlgrey-$(VERSION);rm sqlgrey-$(VERSION)

rpm: tbz2
	rpmbuild -ta ../$(TBZ2)

## sqlgrey 1.8.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,9 @@
 MANDIR = $(ROOTDIR)/usr/share/man/man1
 
 VERSION := $(shell cat VERSION)
-TBZ2 = sqlgrey-$(VERSION).tar.bz2
+
+default:
+	@echo "See INSTALL textfile";
 
 all: manpage update-version
 
@@ -21,12 +23,23 @@
 	mv sqlgrey-logstats.pl.new sqlgrey-logstats.pl
 	chmod a+x sqlgrey-logstats.pl
 
+use_dbcluster:
+	cat sqlgrey | sed 's/^use DBI;/use DBIx::DBCluster;/' > sqlgrey.new
+	mv sqlgrey.new sqlgrey
+	chmod a+x sqlgrey
+	cd lib/DBIx-DBCluster-0.01/;perl Makefile.PL;make;make install
+
+use_dbi:
+	cat sqlgrey | sed 's/^use DBIx::DBCluster;/use DBI;/' > sqlgrey.new
+	mv sqlgrey.new sqlgrey
+	chmod a+x sqlgrey
+
 manpage:
 	perldoc -u sqlgrey | pod2man -n sqlgrey > sqlgrey.1
 
 clean:
 	rm -f sqlgrey.1
-	rm -f *~ init/*~ etc/*~
+	rm -f *~ .#* init/*~ etc/*~
 
 install: all
 	$(INSTALL) -d -m 755 $(SBINDIR)
@@ -41,6 +54,7 @@
 	$(INSTALL) -m 644 etc/sqlgrey.conf $(CONFDIR)
 	$(INSTALL) -m 644 etc/clients_ip_whitelist $(CONFDIR)
 	$(INSTALL) -m 644 etc/clients_fqdn_whitelist $(CONFDIR)
+	$(INSTALL) -m 644 etc/discrimination.regexp $(CONFDIR)
 	$(INSTALL) -m 644 etc/dyn_fqdn.regexp $(CONFDIR)
 	$(INSTALL) -m 644 etc/smtp_server.regexp $(CONFDIR)
 	$(INSTALL) -m 644 etc/README $(CONFDIR)
@@ -52,8 +66,27 @@
 gentoo-install: install
 	$(INSTALL) init/sqlgrey.gentoo $(INITDIR)/sqlgrey
 
-tbz2: update-version clean
-	cd ..;ln -s sqlgrey sqlgrey-$(VERSION);tar cjhf $(TBZ2) sqlgrey-$(VERSION);rm sqlgrey-$(VERSION)
+debian-install: install
+	$(INSTALL) init/sqlgrey.debian $(INITDIR)/sqlgrey
+	ln -s ../init.d/sqlgrey /etc/rc0.d/K20sqlgrey 
+	ln -s ../init.d/sqlgrey /etc/rc1.d/K20sqlgrey 
+	ln -s ../init.d/sqlgrey /etc/rc2.d/S20sqlgrey 
+	ln -s ../init.d/sqlgrey /etc/rc3.d/S20sqlgrey 
+	ln -s ../init.d/sqlgrey /etc/rc4.d/S20sqlgrey 
+	ln -s ../init.d/sqlgrey /etc/rc5.d/S20sqlgrey
+	ln -s ../init.d/sqlgrey /etc/rc5.d/K20sqlgrey
 
-rpm: tbz2
-	rpmbuild -ta ../$(TBZ2)
+dist: update-version clean
+	##
+	## TAG the revision first with:
+	## [1mgit tag sqlgrey_$(VERSION)[0m
+	##
+	## NOTE: this will create an archive from the
+	##       state of repository, ignoring your
+	##       uncommited changes!!!
+	@-mkdir -p dist
+	git archive sqlgrey_$(VERSION) --prefix=sqlgrey-$(VERSION)/ -o dist/sqlgrey-$(VERSION).tar
+	gzip -v dist/sqlgrey-$(VERSION).tar
+
+rpm: dist
+	rpmbuild -ta dist/sqlgrey-$(VERSION).tar.gz

=== debian/changelog ===
sqlgrey (1:1.8.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1050433)

 -- Paul Gevers <elbrus@debian.org>  Thu, 24 Aug 2023 17:07:36 +0200

sqlgrey (1:1.8.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Repository.
  * Use secure URI in Vcs control header Vcs-Git.
  * Update standards version to 4.5.0, no changes needed.

  [ Antonin Kral ]
  * [9937345] Drop `lsb-base`
  * [c03d4bd] Switch debian/rules to dh
  * [2d58689] Add systemd service (Closes: #1039381)
  * [0c2ca1e] Bump standards version

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 20 Jul 2023 18:39:51 +0200

sqlgrey (1:1.8.0-4) unstable; urgency=medium

  * Bumping version to allow for source only upload. (Kudos to Andrian Bunk
    for a ping)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 16 Feb 2020 13:57:18 +0100

sqlgrey (1:1.8.0-3) unstable; urgency=medium

  * [9181e48] Add sensible logcheck rules (Closes: #806648)
  * [d11e4f5] Make whitespaces more consistent in the init script
  * [f146bc0] Add status action for the init script (Closes: #693747)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 03 Jan 2020 21:10:50 +0100

sqlgrey (1:1.8.0-2) unstable; urgency=medium

  * [7c08b04] Pass correct user to start-stop-daemon (Closes: #947911)
  * Updating package infrastructure

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 03 Jan 2020 20:08:33 +0100

sqlgrey (1:1.8.0-1) unstable; urgency=low

  * [8e942a4] Imported Upstream version 1.8.0
  * Allow false as config value, patch by Joost van Baal-Ilić
    <joostvb+debian-bugs-20120215-3@uvt.nl> (Closes: #659987)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 16 Feb 2012 10:12:11 +0100

sqlgrey (1.8.0rc2-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 11 Feb 2010 09:29:57 +0100

sqlgrey (1.6.8-4) unstable; urgency=low

  * Added /var/lib/sqlgrey to dirs (Closes: #532950, #532948)
  * Chdir to /var/lib/sqlgrey before starting daemon (Closes: #552261)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 22 Dec 2009 21:18:33 +0100

sqlgrey (1.6.8-3) unstable; urgency=low

  * fixed /etc/sqlgrey/sqlgrey.conf mode (Closes: #514834)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 11 Feb 2009 11:41:56 +0100

sqlgrey (1.6.8-2) unstable; urgency=low

  * added dependencies for supported DB models (Closes: #513597)
  * fixed Lintian warning description-contains-homepage
  * fixed Lintian warning binary-without-manpage

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 08 Feb 2009 15:03:12 +0100

sqlgrey (1.6.8-1) unstable; urgency=low

  * Initial release (Closes: #389472)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 19 Mar 2008 21:18:15 +0100

=== debian/control ===
Source: sqlgrey
Section: mail
Priority: optional
Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Build-Depends: debhelper (>= 5), perl-doc, debhelper-compat (= 12), dh-exec
Standards-Version: 4.6.2
Vcs-Git: https://github.com/bobek/sqlgrey-debian.git
Vcs-Browser: https://github.com/bobek/sqlgrey-debian
Homepage: http://sqlgrey.sourceforge.net/

Package: sqlgrey
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${perl:Depends}, ${misc:Depends}, adduser, perl, libnet-server-perl, libdate-calc-perl, libdbd-pg-perl | libdbd-mysql-perl | libdbd-sqlite3-perl
Recommends: postfix, libdbd-pg-perl
Description: Postfix Greylisting Policy Server
 A policy server for Postfix implementing greylisting.
 .
 Could be configured to use MySQL, PostgreSQL or SQLite. PostgreSQL is
 recommended by author.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) all

override_dh_auto_install:
	$(MAKE) ROOTDIR=$(CURDIR)/debian/sqlgrey install

=== debian/watch ===
version=3
https://sf.net/sqlgrey/sqlgrey-(.*)\.tar\.gz
